Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.ext.awt.image.renderable
Interface ConvolveMatrixRable

All Superinterfaces:
  Filter, FilterColorInterpolation, RenderableImage

All Known Implementing Classes:
  ConvolveMatrixRable8Bit

    public interface ConvolveMatrixRable

extends FilterColorInterpolation

Convolves an image with a convolution matrix.

Field Summary

Fields inherited from interface java.awt.image.renderable.RenderableImage
`HINTS_OBSERVED`

Method Summary
`double` | `getBias()` Returns the shift value to apply to the result of convolution
`PadMode` | `getEdgeMode()` Returns the current edge handling mode.
`Kernel` | `getKernel()` Returns the Convolution Kernel in use
`double[]` | `getKernelUnitLength()` Returns the [x,y] distance in user space between kernel values
`boolean` | `getPreserveAlpha()` Returns false if the convolution should affect the Alpha channel
`Filter` | `getSource()` Returns the source to be Convolved
`Point` | `getTarget()` Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).
`void` | `setBias(double bias)` Sets the shift value to apply to the result of convolution
`void` | `setEdgeMode(PadMode edgeMode)` Sets the current edge handling mode.
`void` | `setKernel(Kernel k)` Sets the Convolution Kernel to use.
`void` | `setKernelUnitLength(double[] kernelUnitLength)` Sets the [x,y] distance in user space between kernel values If set to zero then one pixel in device space will be used.
`void` | `setPreserveAlpha(boolean preserveAlpha)` Sets Alpha channel handling.
`void` | `setSource(Filter src)` Sets the source to be Convolved
`void` | `setTarget(Point pt)` Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.FilterColorInterpolation
`getOperationColorSpace, isColorSpaceLinear, setColorSpaceLinear`

Methods inherited from interface org.apache.batik.ext.awt.image.renderable.Filter
`getBounds2D, getDependencyRegion, getDirtyRegion, getTimeStamp`

Methods inherited from interface java.awt.image.renderable.RenderableImage
`createDefaultRendering, createRendering, createScaledRendering, getHeight, getMinX, getMinY, getProperty, getPropertyNames, getSources, getWidth, isDynamic`

Method Detail

### getSource

    Filter getSource()

  Returns the source to be Convolved

### setSource

    void setSource(Filter src)

  Sets the source to be Convolved

  Parameters:
    `src` - image to Convolved.

### getKernel

    Kernel getKernel()

  Returns the Convolution Kernel in use

### setKernel

    void setKernel(Kernel k)

  Sets the Convolution Kernel to use.

  Parameters:
    `k` - Kernel to use for convolution.

### getTarget

    Point getTarget()

  Returns the target point of the kernel (what pixel under the kernel should be set to the result of convolution).

### setTarget

    void setTarget(Point pt)

  Sets the target point of the kernel (what pixel under the kernel should be set to the result of the convolution).

### getBias

    double getBias()

  Returns the shift value to apply to the result of convolution

### setBias

    void setBias(double bias)

  Sets the shift value to apply to the result of convolution

### getEdgeMode

    PadMode getEdgeMode()

  Returns the current edge handling mode.

### setEdgeMode

    void setEdgeMode(PadMode edgeMode)

  Sets the current edge handling mode.

### getKernelUnitLength

    double[] getKernelUnitLength()

  Returns the [x,y] distance in user space between kernel values

### setKernelUnitLength

    void setKernelUnitLength(double[] kernelUnitLength)

  Sets the [x,y] distance in user space between kernel values If set to zero then one pixel in device space will be used.

### getPreserveAlpha

    boolean getPreserveAlpha()

  Returns false if the convolution should affect the Alpha channel

### setPreserveAlpha

    void setPreserveAlpha(boolean preserveAlpha)

  Sets Alpha channel handling. A value of False indicates that the convolution should apply to the Alpha Channel

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.